<?php
/**
 * Author Template
 *
 * Here we setup all logic and XHTML that is required for the post authors template.
 *
 * @package WooFramework
 * @subpackage Currents
 */
?>

<?php get_header(); ?>

<?php
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	$settings = array(
					'content_banner_ad_archive' => 'true',
					'ad_content' => 'true',
					'featured_category_archive' => 'true',
					'post_author_archive' => 'true',
					'post_author_twitter_archive' => 'true',
					'breadcrumbs_show' => 'false',
					'archive_featured' => 'true',
					'layout_width' => '800'
					);

	$settings = woo_get_dynamic_values( $settings );

	$author = get_userdata(get_query_var('author'));
   	$author_id = $author->ID;
   	$author_name = $author->display_name;
   	/* custom profile fields */
   	if ( isset($author->twitter) ) { $author_twitter = $author->twitter; } else { $author_twitter = ''; }
	if ( isset($author->facebook) ) { $author_facebook = $author->facebook; } else { $author_facebook = ''; }


?>
    <?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1; ?>

    <div id="content" class="col-full">

    	<?php if ( $settings['breadcrumbs_show'] == 'true' ) { ?>
			<section id="breadcrumbs">
				<?php woo_breadcrumbs(); ?>
			</section><!--/#breadcrumbs -->
		<?php } ?>

		<?php if (have_posts()) : $count = 0; ?>

            <header class="archive_header"><?php _e( 'Archive by Author', 'woothemes' ); ?> | <?php echo $author_name; ?></header>

            <div class="fix"></div>

        <?php if ( $settings['post_author_archive'] == 'true' ) { ?>
        	<section id="author-page-heading">
        	<?php if ( $settings['post_author_twitter_archive'] == 'true' && $author_twitter != '') { $twitter = true; } ?>
			<section class="post-author-box fix <?php if($twitter) { echo "with-twitter"; } ?>">
			    <h3 class="title"><?php printf( esc_attr__( 'About %s', 'woothemes' ), $author_name ); ?></h3>
			    <?php echo get_avatar( $author_id, '70' ); ?>
			    <div class="profile-description">
			        <?php the_author_meta( 'description', $author_id ); ?>

			        <div class="profile-social">
				    	<ul>
				    		<?php if ($author_twitter != '') { ?><li class="twitter"><a href="http://www.twitter.com/<?php echo $author_twitter; ?>"><?php _e( 'Twitter', 'woothemes' ); ?></a></li><?php } ?>
				    		<?php if ($author_facebook != '') { ?><li class="facebook"><a href="<?php echo $author_facebook; ?>"><?php _e( 'Facebook', 'woothemes' ); ?></a></li><?php } ?>
				    	</ul>
				    </div><!-- .profile-social -->
				</div><!-- .profile-description	-->
			</section><!-- #post-author -->
			<?php if ( class_exists( 'WooDojo_Widget_Tweets' ) && $twitter ) { ?>
        	<div id="author-twitter" class="widget_woo_twitter">

        		<h3 class="title"><?php _e( 'My Twitter', 'woothemes' ); ?></h3>

        		<?php
                    if ( class_exists( 'WooDojo_Widget_Tweets' ) ) {
                        the_widget( 'WooDojo_Widget_Tweets', array( 'twitter_handle' => esc_attr( $author_twitter ), 'limit' => intval( 3 ) ), array( 'before_widget' => '', 'after_widget' => '' ) );
                    }
                ?>
		        <p><?php _e( 'Follow', 'woothemes' ); ?> <a href="http://twitter.com/<?php echo $author_twitter; ?>"><strong>@<?php echo $author_twitter; ?></strong></a> <?php _e( 'on Twitter', 'woothemes' ); ?></p>
		        <div class="fix"></div>
		        <?php // echo woo_twitter_script($author_id,$author_twitter,3); //Javascript output function ?>

		    </div><!-- #author-twitter -->

            <div class="fix"></div>

            </section><!-- #author-page-heading -->
            <?php } ?>
		<?php } ?>

        <div class="fix"></div>

        <?php if($paged != 1 OR $settings['archive_featured'] != "true") { ?>
        	<section id="main" class="col-left">
        <?php } ?>

        <?php while (have_posts()) : the_post(); $count++; ?>

        	<?php if(($count == 1 && $settings['archive_featured'] == "true" ) && $paged == 1) { ?>

            <!-- Post Starts -->
            <article <?php post_class('first-post'); ?>>

            	<?php
	    	    $image = '';
	    	    $has_embed = woo_embed( 'width='.$settings['layout_width'].'&height=365&key=embed&class=slide-video&id='.$post->ID );
	        	if ( $has_embed ) {
	        	    echo $has_embed;
	        	} else {
    				woo_image( '&width='.$settings['layout_width'].'&height=365&class=slide-image&link=src&noheight=true' );
	        	}
	        	?>

                <header <?php if ( $image == '' ) { ?>class="no-image" <?php } ?>>

                	<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>

                	<?php woo_post_meta(); ?>

                </header>

            </article><!-- /.post -->

            <section id="main" class="col-left">

            <?php } else { ?>

             <!-- Post Starts -->
            <article <?php post_class(); ?>>

                <header>

                	<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>

                	<?php woo_post_meta(); ?>

                </header>

            </article><!-- /.post -->

            <?php } ?>

        <?php endwhile; else: ?>

            <article <?php post_class(); ?>>
                <p><?php _e( 'Sorry, no posts matched your criteria.', 'woothemes' ); ?></p>
            </article><!-- /.post -->

        <?php endif; ?>

			<?php woo_pagenav(); ?>

		</section><!-- /#main -->

        <?php get_sidebar(); ?>

    </div><!-- /#content -->

    <?php if ( ( $settings['content_banner_ad_archive'] == 'true' ) || ( $settings['ad_content'] == 'true' ) ) { get_template_part ( 'includes/content-banner' ); } ?>

   	<?php if ( $settings['featured_category_archive'] == 'true' ) { get_template_part ( 'includes/featured-category' ); } ?>

<?php get_footer(); ?>