<?php
/**
 * Footer Template
 *
 * Here we setup all logic and XHTML that is required for the footer section of all screens.
 *
 * @package WooFramework
 * @subpackage Currents
 */
	global $woo_options;

?>
	<footer id="footer" class="col-full">
	
		<?php if ( isset( $woo_options['woo_logo_footer_enable'] ) && $woo_options['woo_logo_footer_enable'] == 'true' ) : ?>
		<div id="footer-logo">
		
		    <a href="<?php echo home_url( '/' ); ?>" title="<?php bloginfo( 'description' ); ?>">
		    	<img src="<?php echo $woo_options['woo_logo_footer']; ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>" />
		    </a>
				
		</div><!-- /#footer-logo -->
		<?php endif; ?>
		
		<?php if ( function_exists( 'has_nav_menu' ) && has_nav_menu( 'footer-menu' ) ) : ?>
		<nav id="footer-navigation" class="fix">
			
			<?php wp_nav_menu( array( 'depth' => 1, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'footer-nav', 'menu_class' => 'nav', 'theme_location' => 'footer-menu' ) ); ?>
		
		</nav><!-- /#footer-nav -->
        <?php endif; ?>
		
		<section id="footer-search" class="fix">
		
			<span class="rss">
        	 	<span><?php _e( 'Subscribe', 'woothemes' ); ?>:</span>
        	    <?php
        	    	$email = '';
        	    	$rss = get_bloginfo_rss( 'rss2_url' );
        	    	
        	    	if ( isset( $woo_options['woo_subscribe_email'] ) && ( $woo_options['woo_subscribe_email'] != '' ) ) {
        	    		$email = $woo_options['woo_subscribe_email'];
        	    	}
        	    	
        	    	if ( isset( $woo_options['woo_feed_url'] ) && ( $woo_options['woo_feed_url'] != '' ) ) {
        	    		$rss = $woo_options['woo_feed_url'];
        	    	}
        	    ?>
        	    
        	    <a href="<?php echo $rss; ?>"><?php _e( 'RSS', 'woothemes' ); ?></a> 
        	    
        	    <?php if ( $email != '' ) { ?>
        	   		| <a href="<?php echo esc_url( $email ); ?>" target="_blank"><?php _e( 'Email', 'woothemes' ); ?></a>
        	    <?php } ?>
        	    
        	</span>
        	
        	<?php include( get_template_directory() . '/search-form.php' ); ?>
		
		</section><!-- /#footer-search -->
		
		<?php
		
			$total = 4;
				if ( isset( $woo_options['woo_footer_sidebars'] ) && ( $woo_options['woo_footer_sidebars'] != '' ) ) {
					$total = $woo_options['woo_footer_sidebars'];
				}
				
				if ( ( woo_active_sidebar( 'footer-1' ) ||
					   woo_active_sidebar( 'footer-2' ) ||
					   woo_active_sidebar( 'footer-3' ) ||
					   woo_active_sidebar( 'footer-4' ) ) && $total > 0 ) {
					   
		?>
		
		<section id="footer-widgets" class="col-<?php echo $total; ?> fix">
		
			<?php $i = 0; while ( $i < $total ) { $i++; ?>
				<?php if ( woo_active_sidebar( 'footer-' . $i ) ) { ?>
		
			<div class="block footer-widget-<?php echo $i; ?>">
    	    	<?php woo_sidebar( 'footer-' . $i ); ?>
			</div>
		
		        <?php } ?>
			<?php } // End WHILE Loop ?>
		
		</section><!-- /#footer-widgets  -->
		
		<?php } // End IF Statement ?>

		<section id="copyright" class="col-full">
			<?php if( isset( $woo_options['woo_footer'] ) && $woo_options['woo_footer'] == 'true' ) {

				echo stripslashes( $woo_options['woo_footer_text'] );

			} else { ?>
			
			<p><?php bloginfo(); ?> &copy; <?php echo date( 'Y' ); ?>. <?php _e( 'All Rights Reserved.', 'woothemes' ); ?> <?php _e( 'Powered by', 'woothemes' ); ?> <a href="http://www.wordpress.org">WordPress</a>. <?php _e( 'Designed by', 'woothemes' ); ?> <a href="<?php echo ( isset( $woo_options['woo_footer_aff_link'] ) && ! empty( $woo_options['woo_footer_aff_link'] ) ? esc_url( $woo_options['woo_footer_aff_link'] ) : 'http://www.woothemes.com' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/woothemes.png" width="74" height="19" alt="Woo Themes" /></a></p>
			
		<?php } ?>
		</section><!-- /#copyright -->

	</footer><!-- /#footer  -->

</div><!-- /#wrapper -->
<?php wp_footer(); ?>
<?php woo_foot(); ?>
</body>
</html>