<?php 
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
$settings = array(
					'content_banner_ad_home' => 'true', 
					'content_banner_ad_archive' => 'true', 
					'content_banner_ad_single' => 'true',
					'content_banner_ad_text_before' => 'Get the full',
					'content_banner_ad_top_image' => get_template_directory_uri() . "/images/logo-small.png",
					'content_banner_ad_text_after' => 'experience',
					'content_banner_ad_button_url' => site_url(),
					'content_banner_ad_button_text' => 'Subscribe Today',
					'ad_content_adsense' => '',
					'ad_content_url' => 'http://www.woothemes.com',
					'ad_content_image' => 'http://www.woothemes.com/ads/728x90a.jpg'
					);
					
	$settings = woo_get_dynamic_values( $settings );
?>
<?php 
// Setup Custom Ad to be none by default
$has_custom_ad = false;
// Check first if custom ad is available for each type
if ( is_home() && $settings['content_banner_ad_home'] == 'true' ) { 
	// Home Page
	$has_custom_ad = true; 
} elseif ( ( is_archive() || is_search() ) && ( $settings['content_banner_ad_archive'] == 'true' ) ) { 
	// Archive Page
	$has_custom_ad = true; 
} elseif ( ( is_single() || is_page() ) && ( $settings['content_banner_ad_single'] == 'true' ) ) { 
	// Single Page
	$has_custom_ad = true; 
}
?>
<?php if ( $has_custom_ad ) { ?>
    
    <div id="content-subscribe" class="col-full">
    
    	<div class="banner fix">
    	
    		<p><?php echo $settings['content_banner_ad_text_before']; ?> <img src="<?php echo $settings['content_banner_ad_top_image']; ?>" alt="Currents" /> <?php echo $settings['content_banner_ad_text_after']; ?></p>
    		
    		<span class="button-wrap">
    			<a class="button" href="<?php echo $settings['content_banner_ad_button_url']; ?>" title="#"><?php echo $settings['content_banner_ad_button_text']; ?></a>
    		</span>
    	
    	</div>
    
    </div><!-- /#content-subscribe -->
	<?php } else { ?>
    <div id="content-ad" class="col-full">
	    <?php
	    	if ( $settings['ad_content_adsense'] != '' ) {
	    		echo stripslashes( $settings['ad_content_adsense'] );
	    	} else { ?>
	    	<a href="<?php echo $settings['ad_content_url']; ?>"><img src="<?php echo $settings['ad_content_image']; ?>" alt="advert" /></a>
	    <?php } ?>
	</div><!-- /#content-ad -->
<?php } ?>