<?php
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */

	$settings = array(
					'featured_category_cat' => '',
					'featured_category_entries' => 3,
					'featured_category_cat_archive' => '',
					'featured_category_entries_archive' => 3,
					'thumbnails_show' => 'false',
					'thumb_w' => 100,
					'thumb_h' => 100,
					'thumb_align' => 'alignleft',
					'post_content' => 'excerpt'
					);
					
	$settings = woo_get_dynamic_values( $settings );
	// Setup logic options
	if ( is_home() ) { 
		// Home Page
		$cat_name = $settings['featured_category_cat']; 
		$cat_entries = $settings['featured_category_entries'];
	} elseif ( is_archive() || is_search() ) { 
		// Archive Page
		$cat_name = $settings['featured_category_cat_archive']; 
		$cat_entries = $settings['featured_category_entries_archive']; 
	} elseif ( is_single() || is_page() ) { 
		// Single Page
		global $post;
		$cat_name = get_post_meta( $post->ID, 'featured_category_cat', true ); 
		$cat_entries = get_post_meta( $post->ID, 'featured_category_entries', true ); 
	}
if ( ( $cat_name != '' ) && ( $cat_name != 'Select a category:' ) ) {  ?>

	<section id="featured-category"><?php 
				
		$category_id = get_cat_ID( $cat_name );
		
		if ( $category_id > 0 ) {
		
		    // Query Arguments
		    $query_args = array(	'cat' 				=> $category_id,
		    	    				'posts_per_page' 	=> $cat_entries,
		    	    				);
		    // Custom Query	    					
		    $related_query = new WP_Query( $query_args );
		    // Check if posts exist for the query
		    if ($related_query->have_posts()) { $count = 0; ?>
		    	
		    	<div class="col-full">
		    		
		    		<header class="featured-category-header">
		    			<h1><a href="<?php echo get_category_link( $category_id ); ?>" title="More"><?php echo get_the_category_by_ID( $category_id ); ?></a></h1>
		    		</header>
		
		    		<section id="featured-category-posts">
		    		<?php
		    		// THE LOOP	
		    		while ($related_query->have_posts()) { $related_query->the_post(); ?>
		    			
		    			<article <?php post_class(); ?>>
		    			
		    				<?php if ( $settings['thumbnails_show'] == 'true' ) { woo_image( 'width=' . $settings['thumb_w'] . '&height=' . $settings['thumb_h'] . '&class=thumbnail ' . $settings['thumb_align'] ); } ?>
	
	        			    <header>
	        			    
	        			    	<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
	        			    	
	        			    	<span class="meta-author"><?php _e( 'by', 'woothemes' ) ?> <?php the_author_posts_link(); ?></span>
	        			    	
	        			    </header>
	        			    
	        			    <section class="entry">
	    					    <?php if ( $settings['post_content'] == 'content' ) { the_content( __( 'Read More...', 'woothemes' ) ); } else { the_excerpt(); } ?>
	    					</section><!-- /.entry -->
	        			                         
	        			</article><!-- /.post -->
	    
		    			<?php
		    		} // End While Loop	?>
		    	
		    		</section>
		    		
		    		<section id="featured-category-sidebar">
		
		    			<?php if ( woo_active_sidebar( 'featured-cat' ) ) { ?>
	        				<?php woo_sidebar( 'featured-cat' ); ?>		             
	        			<?php } ?> 
		    		
		    		</section>
		
		    	</div><!-- /.cateogry -->
		    	
		    	<?php
		    } // End If Statement
		    
		} // End If Statement
	?>
	
	</section><!-- /#featured-category -->

<?php } // End If Statement ?>