<?php
/**
 * Homepage Slider
 */
	global $wp_query, $post, $panel_error_message;
	
	$settings = array(
					'featured_entries' => 3,
					'featured_height' => 365,
					'featured_tags' => '',
					'slider_video_title' => 'true',
					'featured_sliding_direction' => 'horizontal',
					'featured_effect' => 'fade',
					'featured_speed' => '7',
					'featured_hover' => 'false',
					'featured_touchswipe' => 'true',
					'featured_animation_speed' => '0.6',
					'featured_pagination' => 'false',
					'featured_nextprev' => 'true',
					'layout_width' => '800'
					);
					
	$settings = woo_get_dynamic_values( $settings );
	
	$exclude = array();
	$count = 0;
?>

<?php
	$featposts = $settings['featured_entries']; // Number of featured entries to be shown
	
	$GLOBALS['feat_tags_array'] = explode(',',$settings['featured_tags']); // Tags to be shown
	foreach ($GLOBALS['feat_tags_array'] as $tags){ 
    	$tag = get_term_by( 'name', trim($tags), 'post_tag', 'ARRAY_A' );
		if ( $tag['term_id'] > 0 )
			$tag_array[] = $tag['term_id'];
	}

?>

<?php if ( $settings['featured_tags'] != '' ) : ?>

<?php $slides = get_posts(array('post_type' => 'any','tag__in' => $tag_array, 'numberposts' => $featposts, 'suppress_filters' => 0)); ?>
    
    <?php
    $pagination = $settings['featured_pagination'];
	$nextprev = $settings['featured_nextprev'];
    ?>
    
    <div class="slide-container <?php if($pagination == "false"){ echo "no-pagi"; }  if($nextprev == "false") { echo " no-nav"; } ?>">
    
	<section id="featured">
	    <ul class="slides fix">
	        
	            <?php foreach($slides as $post) : setup_postdata($post); $exclude[$count] = $post->ID; $count++; ?>    
	            
	            <li id="slide-<?php echo $count; ?>" class="slide slide-id-<?php the_ID(); ?>">
	        		
	        		<div class="slide-img">
	    	    		<?php
	    	    		$height = $settings['featured_height'];
	    	    		$has_embed = woo_embed( 'width='.$settings['layout_width'].'&height='.$height.'&key=embed&class=slide-video&id='.$post->ID );
	        			if ( $has_embed ) {
	        				echo $has_embed; // Minus 6px off the width to cater for the 3px border.
	        			} else {
	        				woo_image( '&width='.$settings['layout_width'].'&height='.$height.'&class=slide-image&link=src&noheight=true' );
	        			}
	        		?>
	    	    	</div>

    	    		<?php if ( !$has_embed OR ( $has_embed && $settings['slider_video_title'] != "true" ) ) : // Hide title/description if video post ?>
	    	    	<article class="slide-content <?php if ( !$has_embed ) { echo "not-video"; } ?>">
	    	    		
	    	    		<header>
	    	    		
	    	    			<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
	    	    			
	    	    			<ul class="featured-meta">
	    	    				<li class="post-author">
									<span class="small"><?php _e( 'by', 'woothemes' ) ?></span>
									<?php the_author_posts_link(); ?>
								</li>
								<li class="post-category">
									<?php the_category( ', ') ?>
								</li>
	    	    			</ul>	    			
	    	    		
	    	    		</header>	    	    		
	    	    	
	    	    	</article>
	    	    	<?php endif; ?>
	            	
	            </li><!--/.slide-->
	            
			<?php endforeach; ?> 
			
	    </ul><!-- /.slides -->
	    
	</section><!-- /#featured -->
	
	</div><!-- /.slide-container -->

<?php if ( get_option( 'woo_exclude' ) != $exclude ) { update_option( 'woo_exclude', $exclude ); } ?>

<?php 
// Slider Settings
$slideDirection = $settings['featured_sliding_direction'];
$animation = $settings['featured_effect'];
if ( $settings['featured_speed'] == "Off" ) { $slideshow = 'false'; } else { $slideshow = 'true'; }
$pauseOnHover = $settings['featured_hover'];
$touchSwipe = $settings['featured_touchswipe'];
$slideshowSpeed = $settings['featured_speed'] * 1000; // milliseconds
$animationDuration = $settings['featured_animation_speed'] * 1000; // milliseconds
$pagination = $settings['featured_pagination'];
$nextprev = $settings['featured_nextprev']; 
?>

<script type="text/javascript">
   jQuery(window).load(function() {
   	jQuery('#featured').flexslider({
   		controlsContainer: ".slide-container",
   		slideDirection: "<?php echo $slideDirection; ?>",
   		animation: "<?php echo $animation; ?>",
   		slideshow: <?php echo $slideshow; ?>,
   		directionNav: <?php echo $nextprev; ?>,
   		controlNav: <?php echo $pagination; ?>,
   		pauseOnHover: <?php echo $pauseOnHover; ?>,
   		slideshowSpeed: <?php echo $slideshowSpeed; ?>, 
   		animationDuration: <?php echo $animationDuration; ?>
   	});
   	jQuery('#slides').addClass('loaded');
   });
</script>

<?php else : ?>
	<?php echo do_shortcode('[box type="info"]Please setup your featured tag(s) in your options panel to assign posts to the Featured Slider.[/box]'); ?>
<?php endif ?> 
