<?php
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	
	$settings = array(
					'recent_news_header' => 'Recent News',
					'recent_news_cat_1' => '',
					'recent_news_cat_1_entries' => 3,
					'recent_news_cat_2' => '',
					'recent_news_cat_2_entries' => 3,
					'recent_news_cat_3' => '',
					'recent_news_cat_3_entries' => 3,
					'recent_thumbnails_show' => 'false',
					'thumb_w' => 100, 
					'thumb_h' => 100, 
					'thumb_align' => 'alignleft'
					);
					
	$settings = woo_get_dynamic_values( $settings );
	
if ( ( $settings['recent_news_cat_1'] != 'None' ) || ( $settings['recent_news_cat_2'] != 'None' ) || ( $settings['recent_news_cat_3'] != 'None' ) ) { ?>			
<section id="recent" class="col-full">
    
	<h1><?php echo $settings['recent_news_header']; ?></h1>

	<?php 
	// Loop through each of the 3 category options and output those that exist
	for ( $category_iterator = 1; $category_iterator <= 3; $category_iterator++ ) {
	
		if ( $settings['recent_news_cat_'.$category_iterator] != '' ) {
			
			$category_id = get_cat_ID( $settings['recent_news_cat_'.$category_iterator] );
			
			if ( $category_id > 0 ) {
			
				// Query Arguments
				$query_args = array(	'cat' 				=> $category_id,
		    		    				'posts_per_page' 	=> $settings['recent_news_cat_'.$category_iterator.'_entries'],
		    		    				);
		    	// Custom Query	    					
		    	$related_query = new WP_Query( $query_args );
		    	// Check if posts exist for the query
		    	if ($related_query->have_posts()) { $count = 0; ?>
		    		
		    		<div class="category fix">
		    		
		    			<h2><?php echo get_the_category_by_ID( $category_id ); ?> <a href="<?php echo get_category_link( $category_id ); ?>" title="More"><?php _e( 'More &rarr;', 'woothemes' ); ?></a></h2>
		    			
		    			<div class="recent-posts">
			
		    			<?php while ($related_query->have_posts()) { $related_query->the_post();  $count++; ?>
							
							<article <?php if($count % 3 == 0){ post_class('last'); } else { post_class(); } ?>>

								<?php if ( $settings['recent_thumbnails_show'] == 'true' ) { 
									woo_image( '&width=280&height=140&noheight=true&single=false' );
								} ?>
								
    	        				<header>
    	        		
    	        					<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
    	        		
    	        					<span class="meta-date"><?php the_time( get_option( 'date_format' ) ); ?></span>
    	        		
    	        				</header> 
    	            	                 
    	    				</article><!-- /.post -->
							<?php
						} // End While Loop	?>
						
						</div>
						
					</div><!-- /.cateogry -->
					
					<?php
				} // End If Statement
				
			} // End If Statement
			
		} // End If Statement
	
	} // End For Loop - Category Iterator
	?>
	
</section><!-- /#recent -->
<?php } ?>