<?php 
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	
	$settings = array(
					'related_posts' => 'true',
					'related_posts_search_category' => 'true',
					'related_posts_search_tag' => 'true',
					'related_posts_entries' => 3,
					'related_thumbnails_show' => 'false',
					'thumb_w' => 100, 
					'thumb_h' => 100, 
					'thumb_align' => 'alignleft'
					);
					
	$settings = woo_get_dynamic_values( $settings );
?>
<section id="related" class="col-full">
    
	<h1><?php _e( 'Related News', 'woothemes' ); ?></h1>
	
	<?php 
	global $post, $single_post_id;
	$post_id = $single_post_id;
	$post_type = get_post_type( $post_id );
		
	$post_type_obj = get_post_type_object( $post_type );
	
	$tax_string = '';
	if ( $settings['related_posts_search_tag'] == 'true' ) { $tag_item = 'post_tag'; $tax_string .= $tag_item; }
	if ( $settings['related_posts_search_category'] == 'true' ) { $cat_item = 'category'; if ( $tax_string == '' ) { $tax_string .= $cat_item; } else { $tax_string .= ', '.$cat_item; } } else { $cat_item = ''; }
		
	$taxonomies_string = $tax_string;
	$taxonomies = array( $tag_item, $cat_item );
	
	if ( isset( $post_type_obj->taxonomies ) && count( $post_type_obj->taxonomies ) > 0 ) {
	    $taxonomies_string = join( ', ', $post_type_obj->taxonomies );
	    $taxonomies = $post_type_obj->taxonomies;
	}
	
	// Clean up our taxonomies for use in the query.
	if ( count( $taxonomies ) ) {
	    foreach ( $taxonomies as $k => $v ) {
	    	$taxonomies[$k] = trim( $v );
	    }
	}
	
	// Determine which terms we're going to relate to this entry.
	$related_terms = array();
	
	foreach ( $taxonomies as $t ) {
	    $terms = get_the_terms( $post_id, $t );
	    
	    if ( ! empty( $terms ) ) {
	    	foreach ( $terms as $k => $v ) {
	    		$related_terms[$t][$v->term_id] = $v->slug;
	    	}
	    }
	}
	
	$specific_terms = array();
	foreach ( $related_terms as $k => $v ) {
	    foreach ( $v as $i => $j ) {
	    	$specific_terms[] = $j;
	    }
	}
	
	$query_args = array(
 	    			'limit' => $settings['related_posts_entries'], 
 	    			'post_type' => $post_type, 
 	    			'taxonomies' => $taxonomies_string, 
 	    			'specific_terms' => $specific_terms, 
 	    			'order' => 'DESC', 
 	    			'orderby' => 'date', 
 	    			'exclude' => array( $post_id )
 	    		);
	
	$posts = woo_get_posts_by_taxonomy( $query_args );
	
	if ( count( (array)$posts ) ) { $count = 0; ?>
	
		<div class="related-posts">
			
		<?php foreach ( $posts as $post ) {
			$count++;
			setup_postdata( $post );
			?>
			<article <?php if($count % 3 == 0){ post_class('last'); } else { post_class(); } ?>>
		
				<span class="category"><?php the_category( ', ') ?></span>
				
	        	<?php if ( $settings['related_thumbnails_show'] == 'true' ) { 
	        		woo_image( '&width=280&height=140&noheight=true&single=false' );
				} ?>
			
    		    <header>
    		    
    		    	<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
    		    	
    		    	<span class="meta-date"><?php the_time( get_option( 'date_format' ) ); ?></span>
    		    	
    		    </header> 
    		                         
    		</article><!-- /.post -->
			<?php
		
		} // End For Loop ?>
		
		</div><!-- /.related-posts -->
		
	<?php } // End If Statement
	?>
	
</section><!-- /#recent -->