<?php
if (!function_exists( 'woo_options')) {
function woo_options() {

// THEME VARIABLES
$themename = "Currents";
$themeslug = "currents";

// STANDARD VARIABLES. DO NOT TOUCH!
$shortname = "woo";
$manualurl = 'http://www.woothemes.com/support/theme-documentation/'.$themeslug.'/';

//Access the WordPress Categories via an Array
$woo_categories = array();
$woo_categories_obj = get_categories( 'hide_empty=0' );
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "None" );

//Access the WordPress Pages via an Array
$woo_pages = array();
$woo_pages_obj = get_pages( 'sort_column=post_parent,menu_order' );
foreach ($woo_pages_obj as $woo_page) {
    $woo_pages[$woo_page->ID] = $woo_page->post_name; }
$woo_pages_tmp = array_unshift($woo_pages, "Select a page:" );

//Stylesheets Reader
$alt_stylesheet_path = get_template_directory() . '/styles/';
$alt_stylesheets = array();
if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) {
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }
    }
}

//More Options
$other_entries = array( "0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19" );

// THIS IS THE DIFFERENT FIELDS
$options = array();

// General

$options[] = array( "name" => __( 'General Settings', 'woothemes' ),
					"type" => "heading",
					"icon" => "general" );

$options[] = array( "name" => __( 'Quick Start', 'woothemes' ),
					"type" => "subheading");

$options[] = array( "name" => __( 'Theme Stylesheet', 'woothemes' ),
					"desc" => __( 'Select your themes alternative color scheme.', 'woothemes' ),
					"id" => $shortname."_alt_stylesheet",
					"std" => "default.css",
					"type" => "select",
					"options" => $alt_stylesheets);

$options[] = array( "name" => __( 'Custom Logo', 'woothemes' ),
					"desc" => __( 'Upload a logo for your theme, or specify an image URL directly.', 'woothemes' ),
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload" );

$options[] = array( "name" => __( 'Text Title', 'woothemes' ),
					"desc" => sprintf( __( 'Enable text-based Site Title and Tagline. Setup title & tagline in %1$s.', 'woothemes' ), '<a href="' . esc_url( home_url() ) . '/wp-admin/options-general.php">' . __( 'General Settings', 'woothemes' ) . '</a>' ),
					"id" => $shortname."_texttitle",
					"std" => "false",
					"class" => "collapsed",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Site Title', 'woothemes' ),
					"desc" => __( 'Change the site title typography.', 'woothemes' ),
					"id" => $shortname."_font_site_title",
					"std" => array( 'size' => '36','unit' => 'px','face' => 'Bitter','style' => 'bold','color' => '#333333'),
					"class" => "hidden",
					"type" => "typography" );

$options[] = array( 'name' => __( 'Site Description', 'woothemes' ),
    				'desc' => __( 'Enable the site description/tagline under site title.', 'woothemes' ),
    				'id' => $shortname . '_tagline',
    				'class' => 'hidden',
    				'std' => 'false',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Site Description', 'woothemes' ),
    				'desc' => __( 'Change the site description typography.', 'woothemes' ),
    				'id' => $shortname . '_font_tagline',
    				'std' => array( 'size' => '16', 'unit' => 'px', 'face' => 'Bitter', 'style' => '', 'color' => '#999999' ),
    				'class' => 'hidden last',
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Custom Favicon', 'woothemes' ),
    				'desc' => sprintf( __( 'Upload a 16px x 16px %1$s that will represent your website\'s favicon.', 'woothemes' ), '<a href="http://www.faviconr.com/">'.__( 'ico image', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_custom_favicon',
    				'std' => '',
    				'type' => 'upload' );

$options[] = array( 'name' => __( 'Tracking Code', 'woothemes' ),
    				'desc' => __( 'Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.', 'woothemes' ),
    				'id' => $shortname . '_google_analytics',
    				'std' => '',
    				'type' => 'textarea' );
    				
$options[] = array( 'name' => __( 'Subscription Settings', 'woothemes' ),
    				'type' => 'subheading' );

$options[] = array( 'name' => __( 'RSS URL', 'woothemes' ),
    				'desc' => __( 'Enter your preferred RSS URL. (Feedburner or other)', 'woothemes' ),
    				'id' => $shortname . '_feed_url',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'E-Mail Subscription URL', 'woothemes' ),
    				'desc' => __( 'Enter your preferred E-mail subscription URL. (Feedburner or other)', 'woothemes' ),
    				'id' => $shortname . '_subscribe_email',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( "name" => __( 'Contact Form E-Mail', 'woothemes' ),
					"desc" => __( "Enter your E-mail address to use on the Contact Form Page Template. Add the contact form by adding a new page and selecting 'Contact Form' as page template.", 'woothemes' ),
					"id" => $shortname."_contactform_email",
					"std" => "",
					"type" => "text" );

$options[] = array( 'name' => __( 'Display Options', 'woothemes' ),
    				'type' => 'subheading' );

$options[] = array( 'name' => __( 'Custom CSS', 'woothemes' ),
    				'desc' => __( 'Quickly add some CSS to your theme by adding it to this block.', 'woothemes' ),
    				'id' => $shortname . '_custom_css',
    				'std' => '',
    				'type' => 'textarea' );

$options[] = array( 'name' => __( 'Post/Page Comments', 'woothemes' ),
    				'desc' => __( 'Select if you want to enable/disable comments on posts and/or pages.', 'woothemes' ),
    				'id' => $shortname . '_comments',
    				'std' => 'both',
    				'type' => 'select2',
    				'options' => array( 'post' => __( 'Posts Only', 'woothemes' ), 'page' => __( 'Pages Only', 'woothemes' ), 'both' => __( 'Pages / Posts', 'woothemes' ), 'none' => __( 'None', 'woothemes' ) ) );
                    
$options[] = array( "name" => __( 'Display Breadcrumbs', 'woothemes' ),
					"desc" => __( 'Display dynamic breadcrumbs on each page of your website.', 'woothemes' ),
					"id" => $shortname."_breadcrumbs_show",
					"std" => "false",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Pagination Style', 'woothemes' ),
					"desc" => __( 'Select the style of pagination you would like to use on the blog.', 'woothemes' ),
					"id" => $shortname."_pagination_type",
					"type" => "select2",
					"options" => array( "paginated_links" => __( 'Numbers', 'woothemes' ), "simple" => __( 'Next/Previous', 'woothemes' ) ) );

// Styling

$options[] = array( 'name' => __( 'Styling Options', 'woothemes' ),
    				'type' => 'heading',
    				'icon' => 'styling' );

$options[] = array( 'name' => __( 'Background', 'woothemes' ),
    				'type' => 'subheading' );

$options[] = array( 'name' => __( 'Body Background Color', 'woothemes' ),
    				'desc' => __( 'Pick a custom color for background color of the theme e.g. #697e09', 'woothemes' ),
    				'id' => $shortname . '_body_color',
    				'std' => '',
    				'type' => 'color' );

$options[] = array( 'name' => __( 'Body background image', 'woothemes' ),
    				'desc' => __( 'Upload an image for the theme\'s background', 'woothemes' ),
    				'id' => $shortname . '_body_img',
    				'std' => '',
    				'type' => 'upload' );

$options[] = array( 'name' => __( 'Background image repeat', 'woothemes' ),
    				'desc' => __( 'Select how you would like to repeat the background-image', 'woothemes' ),
    				'id' => $shortname . '_body_repeat',
    				'std' => 'no-repeat',
    				'type' => 'select',
    				'options' => array( 'no-repeat', 'repeat-x', 'repeat-y', 'repeat' ) );

$options[] = array( 'name' => __( 'Background image position', 'woothemes' ),
    				'desc' => __( 'Select how you would like to position the background', 'woothemes' ),
    				'id' => $shortname . '_body_pos',
    				'std' => 'top',
    				'type' => 'select',
    				'options' => array( 'top left', 'top center', 'top right', 'center left', 'center center', 'center right', 'bottom left', 'bottom center', 'bottom right' ) );

$options[] = array( 'name' => __( 'Links', 'woothemes' ),
    				'type' => 'subheading' );

$options[] = array( 'name' => __( 'Link Color', 'woothemes' ),
    				'desc' => __( 'Pick a custom color for links or add a hex color code e.g. #697e09', 'woothemes' ),
    				'id' => $shortname . '_link_color',
    				'std' => '',
    				'type' => 'color' );
    				
$options[] = array( 'name' => __( 'Link Hover Color', 'woothemes' ),
    				'desc' => __( 'Pick a custom color for links hover or add a hex color code e.g. #697e09', 'woothemes' ),
    				'id' => $shortname . '_link_hover_color',
    				'std' => '',
    				'type' => 'color' );

$options[] = array( 'name' => __( 'Button Color', 'woothemes' ),
    				'desc' => __( 'Pick a custom color for buttons or add a hex color code e.g. #697e09', 'woothemes' ),
    				'id' => $shortname . '_button_color',
    				'std' => '',
    				'type' => 'color' );

/* Typography */

$options[] = array( 'name' => __( 'Typography', 'woothemes' ),
    				'type' => 'heading',
    				'icon' => 'typography' );

$options[] = array( 'name' => __( 'Enable Custom Typography', 'woothemes' ) ,
    				'desc' => __( 'Enable the use of custom typography for your site. Custom styling will be output in your sites HEAD.', 'woothemes' ) ,
    				'id' => $shortname . '_typography',
    				'std' => 'false',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'General Typography', 'woothemes' ) ,
    				'desc' => __( 'Change the general font.', 'woothemes' ) ,
    				'id' => $shortname . '_font_body',
    				'std' => array( 'size' => '13', 'unit' => 'px', 'face' => 'Bitter', 'style' => '', 'color' => '#555555' ),
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Navigation', 'woothemes' ) ,
    				'desc' => __( 'Change the navigation font.', 'woothemes' ),
    				'id' => $shortname . '_font_nav',
    				'std' => array( 'size' => '13', 'unit' => 'px', 'face' => 'Bitter', 'style' => '', 'color' => '#555555' ),
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Page Title', 'woothemes' ) ,
    				'desc' => __( 'Change the page title.', 'woothemes' ) ,
    				'id' => $shortname . '_font_page_title',
    				"std" => array( 'size' => '20','unit' => 'px','face' => 'Bitter','style' => '','color' => '#222222'),
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Post Title', 'woothemes' ) ,
    				'desc' => __( 'Change the post title.', 'woothemes' ) ,
    				'id' => $shortname . '_font_post_title',
    				"std" => array( 'size' => '20','unit' => 'px','face' => 'Bitter','style' => '','color' => '#222222'),
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Post Meta', 'woothemes' ),
    				'desc' => __( 'Change the post meta.', 'woothemes' ) ,
    				'id' => $shortname . '_font_post_meta',
    				'std' => array( 'size' => '13', 'unit' => 'px', 'face' => 'Bitter', 'style' => '', 'color' => '#999999' ),
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Post Entry', 'woothemes' ) ,
    				'desc' => __( 'Change the post entry.', 'woothemes' ) ,
    				'id' => $shortname . '_font_post_entry',
    				'std' => array( 'size' => '13', 'unit' => 'px', 'face' => 'Bitter', 'style' => '', 'color' => '#555555' ),
    				'type' => 'typography' );

$options[] = array( 'name' => __( 'Widget Titles', 'woothemes' ) ,
    				'desc' => __( 'Change the widget titles.', 'woothemes' ) ,
    				'id' => $shortname . '_font_widget_titles',
    				'std' => array( 'size' => '16', 'unit' => 'px', 'face' => 'Bitter', 'style' => 'bold', 'color' => '#555555' ),
    				'type' => 'typography' );

/* Layout */

$options[] = array( 'name' => __( 'Layout Options', 'woothemes' ),
    				'type' => 'heading',
    				'icon' => 'layout' );
					
$options[] = array( "name" => __( 'Layout Width', 'woothemes' ),
                    "desc" => __( 'Select which width you want the theme to have (max-width).', 'woothemes' ),
                    "id" => $shortname."_layout_width",
                    "std" => "800",
                    "type" => "select2",
					"options" => array( "800" => "800px", "960" => "960px" ) );

$url =  get_template_directory_uri() . '/functions/images/';
$options[] = array( 'name' => __( 'Main Layout', 'woothemes' ),
    				'desc' => __( 'Select which layout you want for your site.', 'woothemes' ),
    				'id' => $shortname . '_site_layout',
    				'std' => 'layout-left-content',
    				'type' => 'images',
    				'options' => array(
    					'layout-left-content' => $url . '2cl.png',
    					'layout-right-content' => $url . '2cr.png' )
    				);	

$options[] = array( 'name' => __( 'Category Exclude - Homepage', 'woothemes' ),
    				'desc' => __( 'Specify a comma seperated list of category IDs or slugs that you\'d like to exclude from your homepage (eg: uncategorized).', 'woothemes' ),
    				'id' => $shortname . '_exclude_cats_home',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Category Exclude - Blog Page Template', 'woothemes' ),
    				'desc' => __( 'Specify a comma seperated list of category IDs or slugs that you\'d like to exclude from your \'Blog\' page template (eg: uncategorized).', 'woothemes' ),
    				'id' => $shortname . '_exclude_cats_blog',
    				'std' => '',
    				'type' => 'text' );
					
$options[] = array( "name" => __( 'Enable post excerpt/content on posts', 'woothemes' ),
                    "desc" => __( 'Display the post excerpt/content on posts, instead of just the headline.', 'woothemes' ),
                    "id" => $shortname."_excerpt_show",
                    "std" => "false",
                    "class" => "collapsed",
                    "type" => "checkbox");
                    
$options[] = array( "name" => __( 'Post Content', 'woothemes' ),
					"desc" => __( 'Select if you want to show the full content or the excerpt on posts.', 'woothemes' ),
					"id" => $shortname."_post_content",
					"type" => "select2",
					"class" => "hidden last",
					"options" => array( "excerpt" => __( 'The Excerpt', 'woothemes' ), "content" => __( 'Full Content', 'woothemes' ) ) );
					
$options[] = array( "name" => __( 'Enable Featured First Post in Archives', 'woothemes' ),
                    "desc" => __( 'Display a full width featured post as with image as first post on archive pages.', 'woothemes' ),
                    "id" => $shortname."_archive_featured",
                    "std" => "true",
                    "class" => "collapsed",
                    "type" => "checkbox");
                    
/* Featured Slider */

$options[] = array( "name" => __( 'Homepage Options', 'woothemes' ),
					"icon" => "homepage",
					"type" => "heading");


$options[] = array( 'name' => __( 'Featured Slider', 'woothemes' ),
					"type" => "subheading");
					
$options[] = array( 'name' => __( 'Enable Featured Slider', 'woothemes' ),
                    'desc' => __( 'Enable the featured post slider on the homepage.', 'woothemes' ),
                    'id' => $shortname . '_featured',
                    'std' => 'true',
                    'type' => 'checkbox' );

$options[] = array( "name" => __( 'Slider Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should appear in the home page slider.', 'woothemes' ),
                    "id" => $shortname."_featured_entries",
                    "std" => "3",
                    "type" => "select",
                    "options" => $other_entries);
                    
$options[] = array( "name" => __( 'Exclude Slider Posts', 'woothemes' ),
                    "desc" => __( 'Exclude slider posts from normal posts below slider.', 'woothemes' ),
                    "id" => $shortname."_slider_exclude",
                    "std" => "true",
                    "type" => "checkbox"); 

$options[] = array( "name" => __( 'Slider Tag', 'woothemes' ),
                    "desc" => __( "Add comma separated list for the tags that you would like to have displayed in the featured slider on your homepage. For example, if you add 'tag1, tag3' here, then all properties tagged with either 'tag1' or 'tag3' will be shown in the featured area.", 'woothemes' ),
                    "id" => $shortname."_featured_tags",
                    "std" => "",
                    "type" => "text");

$options[] = array( "name" => __( 'Slider Image/Video Height', 'woothemes' ),
                    "desc" => __( 'Set the initial height of the slider image/video. Note: The images need to be 800px+ wide for them to be cropped properly.', 'woothemes' ),
                    "id" => $shortname."_featured_height",
                    "std" => "365",
                    "type" => "text");

$options[] = array( "name" => __( 'Disable Slider Title/Description on Video Posts', 'woothemes' ),
                    "desc" => __( "Don't show the title and description if you have a video post in the slider.", 'woothemes' ),
                    "id" => $shortname."_slider_video_title",
                    "std" => "false",
                    "type" => "checkbox"); 

$options[] = array( "name" => __( 'Slider Next/Prev Navigation', 'woothemes' ),
                    "desc" => __( 'Select to enable next/prev slider for the featured slider.', 'woothemes' ),
                    "id" => $shortname."_featured_nextprev",
                    "std" => "true",
                    "type" => "checkbox");

$options[] = array( "name" => __( 'Slider Pagination', 'woothemes' ),
                    "desc" => __( 'Select to enable pagination for the featured slider.', 'woothemes' ),
                    "id" => $shortname."_featured_pagination",
                    "std" => "false",
                    "type" => "checkbox");

$options[] = array( "name" => __( 'Slider Hover Pause', 'woothemes' ),
                    "desc" => __( 'Hovering over featured slider will pause it.', 'woothemes' ),
                    "id" => $shortname."_featured_hover",
                    "std" => "true",
                    "type" => "checkbox"); 
                    
$options[] = array( "name" => __( 'Slider Animation Effect', 'woothemes' ),
					"desc" => __( 'Select the slider animation effect.', 'woothemes' ),
					"id" => $shortname."_featured_effect",
					"type" => "select2",
					"options" => array("fade" => __( 'Fade', 'woothemes' ), "slide" => __( 'Slide', 'woothemes' )) );                         

$options[] = array( "name" => __( 'Sliding Direction', 'woothemes' ),
					"desc" => __( 'Select the sliding direction.', 'woothemes' ),
					"id" => $shortname."_featured_sliding_direction",
					"type" => "select2",
					"options" => array("horizontal" => __( 'Horizontal', 'woothemes' ), "vertical" => __( 'Vertical', 'woothemes' )) );                         

$options[] = array( "name" => __( 'Auto Slide Interval', 'woothemes' ),
                    "desc" => sprintf( __( 'The time in %1$sseconds%2$s each slide pauses for, before transitioning to the next %3$s(set to "Off" to disable automatic transitions).', 'woothemes' ), '<strong>', '</strong>', '<br /><br />' ),
                    "id" => $shortname."_featured_speed",
                    "std" => "7",
					"type" => "select",
					"options" => array( 'Off', '1', '2', '3', '4', '5', '6', '7', '8', '9', '10' ) );
                    
$options[] = array( "name" => __( 'Slider Animation Speed', 'woothemes' ),
                    "desc" => sprintf( __( 'The time in %1$sseconds%2$s the animation between slides will take.', 'woothemes' ), '<strong>', '</strong>' ),
                    "id" => $shortname."_featured_animation_speed",
                    "std" => "0.6",
					"type" => "select",
					"options" => array( '0.0', '0.1', '0.2', '0.3', '0.4', '0.5', '0.6', '0.7', '0.8', '0.9', '1.0', '1.1', '1.2', '1.3', '1.4', '1.5', '1.6', '1.7', '1.8', '1.9', '2.0' ) );

/* Recent News Area */
$options[] = array( "name" => __( 'Recent News Area', 'woothemes' ),
					"type" => "subheading");
					
$options[] = array( "name" => __( 'Enable Recent News Area', 'woothemes' ),
					"desc" => __( 'Enable the Recent News area on the homepage', 'woothemes' ),
					"id" => $shortname."_recent_news",
					"std" => "true",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Heading Text', 'woothemes' ),
					"desc" => __( 'Enter the text that will be displayed at the top of the Recent News Area.', 'woothemes' ),
					"id" => $shortname."_recent_news_header",
					"std" => __( 'Recent News', 'woothemes' ),
					"type" => "text" );
					
$options[] = array( "name" => __( 'Display Post Thumbnails', 'woothemes' ),
					"desc" => __( 'Check this box to display image thumbnails for recent news items.', 'woothemes' ),
					"id" => $shortname."_recent_thumbnails_show",
					"std" => "false",
					"type" => "checkbox" );
					
$options[] = array( "name" => __( 'Category 1', 'woothemes' ),
					"desc" => __( 'Choose a category to display in the first section of the Recent News Area. NOTE: if you do not select a category, this area will not be displayed.', 'woothemes' ),
					"id" => $shortname."_recent_news_cat_1",
					"std" => "alignright",
					"type" => "select",
					"options" => $woo_categories);
					
$options[] = array( "name" => __( 'Category 1 - Number of Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should be displayed for this category in the Recent News Area.', 'woothemes' ),
                    "id" => $shortname."_recent_news_cat_1_entries",
                    "std" => "3",
                    "type" => "select",
                    "options" => $other_entries);

$options[] = array( "name" => __( 'Category 2', 'woothemes' ),
					"desc" => __( 'Choose a category to display in the second section of the Recent News Area. NOTE: if you do not select a category, this area will not be displayed.', 'woothemes' ),
					"id" => $shortname."_recent_news_cat_2",
					"std" => "alignright",
					"type" => "select",
					"options" => $woo_categories);
					
$options[] = array( "name" => __( 'Category 2 - Number of Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should be displayed for this category in the Recent News Area.', 'woothemes' ),
                    "id" => $shortname."_recent_news_cat_2_entries",
                    "std" => "3",
                    "type" => "select",
                    "options" => $other_entries);
                    
$options[] = array( "name" => __( 'Category 3', 'woothemes' ),
					"desc" => __( 'Choose a category to display in the third section of the Recent News Area. NOTE: if you do not select a category, this area will not be displayed.', 'woothemes' ),
					"id" => $shortname."_recent_news_cat_3",
					"std" => "alignright",
					"type" => "select",
					"options" => $woo_categories);
					
$options[] = array( "name" => __( 'Category 3 - Number of Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should be displayed for this category in the Recent News Area.', 'woothemes' ),
                    "id" => $shortname."_recent_news_cat_3_entries",
                    "std" => "3",
                    "type" => "select",
                    "options" => $other_entries);

/* Featured Category Area */
$options[] = array( "name" => __( 'Featured Category Area', 'woothemes' ),
					"type" => "subheading");

$options[] = array( "name" => __( 'Homepage - Enable Featured Category', 'woothemes' ),
                    "desc" => __( 'Enable the featured category area on the homepage.', 'woothemes' ),
                    "id" => $shortname."_featured_category",
                    "std" => "true",
                    "class" => "collapsed",
                    "type" => "checkbox");

$options[] = array( "name" => __( 'Homepage - Featured Category', 'woothemes' ),
					"desc" => __( 'Choose a category to display in the Featured Category Area on the homepage.', 'woothemes' ),
					"id" => $shortname."_featured_category_cat",
					"std" => "",
					"type" => "select",
					"class" => "hidden",
					"options" => $woo_categories);
					
$options[] = array( "name" => __( 'Homepage - Featured Category Number of Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should be displayed for this category in the Featured Category Area on the homepage.', 'woothemes' ),
                    "id" => $shortname."_featured_category_entries",
                    "std" => "3",
                    "type" => "select",
                    "class" => "hidden last",
                    "options" => $other_entries);

$options[] = array( "name" => __( 'Archives - Enable Featured Category', 'woothemes' ),
                    "desc" => __( 'Enable the featured category area on archive pages.', 'woothemes' ),
                    "id" => $shortname."_featured_category_archive",
                    "std" => "true",
                    "class" => "collapsed",
                    "type" => "checkbox");

$options[] = array( "name" => __( 'Archives - Featured Category', 'woothemes' ),
					"desc" => __( 'Choose a category to display in the Featured Category Area on archive pages.', 'woothemes' ),
					"id" => $shortname."_featured_category_cat_archive",
					"std" => "",
					"type" => "select",
					"class" => "hidden",
					"options" => $woo_categories);
					
$options[] = array( "name" => __( 'Archives - Featured Category Number of Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should be displayed for this category in the Featured Category Area on archive pages.', 'woothemes' ),
                    "id" => $shortname."_featured_category_entries_archive",
                    "std" => "3",
                    "type" => "select",
                    "class" => "hidden last",
                    "options" => $other_entries); 
                    
/* Related News */

$options[] = array( "name" => __( 'Post Options', 'woothemes' ),
					"type" => "heading",
					"icon" => "post" );

$options[] = array( "name" => __( 'Related News', 'woothemes' ),
					"type" => "subheading");

$options[] = array( "name" => __( 'Enable Related News', 'woothemes' ),
					"desc" => __( 'This will enable the related news area on the single posts page.', 'woothemes' ),
					"id" => $shortname."_related_posts",
					"std" => "true",
					"class" => "collapsed",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Display Post Thumbnails', 'woothemes' ),
					"desc" => __( 'Display image thumbnails for related post items.', 'woothemes' ),
					"id" => $shortname."_related_thumbnails_show",
					"std" => "false",
					"class" => "hidden",
					"type" => "checkbox" );
										
$options[] = array( "name" => __( 'Relate by Category', 'woothemes' ),
					"desc" => __( 'This will search for related posts by category.', 'woothemes' ),
					"id" => $shortname."_related_posts_search_category",
					"std" => "true",
					"class" => "hidden ",
					"type" => "checkbox" );    
					
$options[] = array( "name" => __( 'Relate by Tag', 'woothemes' ),
					"desc" => __( 'This will search for related posts by tag.', 'woothemes' ),
					"id" => $shortname."_related_posts_search_tag",
					"std" => "true",
					"class" => "hidden",
					"type" => "checkbox" ); 

$options[] = array( "name" => __( 'Number of Entries', 'woothemes' ),
                    "desc" => __( 'Select the number of entries that should be displayed in the Related News Area on single posts.', 'woothemes' ),
                    "id" => $shortname."_related_posts_entries",
                    "std" => "3",
                    "type" => "select",
                    "class" => "hidden last",
                    "options" => $other_entries); 					                    
                    
/* Author Settings */
$options[] = array( "name" => __( 'Author Settings', 'woothemes' ),
					"type" => "subheading");

$options[] = array( "name" => __( 'Post Author Box - Single', 'woothemes' ),
					"desc" => sprintf( __( 'This will enable the post author box on the single posts page. Edit description in %1$Profile%2$.', 'woothemes' ), "<a href='".home_url()."/wp-admin/profile.php'>", "</a>" ),
					"id" => $shortname."_post_author",
					"std" => "true",
					"type" => "checkbox" );
					
$options[] = array( "name" => __( 'Post Author Box - Archive', 'woothemes' ),
					"desc" => sprintf( __( 'This will enable the post author box on the author archive page. Edit description in %1$Profile%2$.', 'woothemes' ), "<a href='".home_url()."/wp-admin/profile.php'>", "</a>" ),
					"id" => $shortname."_post_author_archive",
					"std" => "true",
					"class" => "collapsed",
					"type" => "checkbox" );
					
$options[] = array( "name" => __( 'Post Author Twitter Stream - Archive', 'woothemes' ),
					"desc" => sprintf( __( 'This will enable the post author twitter stream on the author archive page. Edit twitter details in %1$Profile%2$.', 'woothemes' ), "<a href='".home_url()."/wp-admin/profile.php'>", "</a>" ),
					"id" => $shortname."_post_author_twitter_archive",
					"std" => "true",
					"class" => "hidden last",
					"type" => "checkbox" );     
					
/* Subscribe & Connect */
$options[] = array( 'name' => __( 'Subscribe & Connect', 'woothemes' ),
					"type" => "subheading" );

$options[] = array( 'name' => __( 'Enable Subscribe & Connect - Single Post', 'woothemes' ),
    				'desc' => sprintf( __( 'Enable the subscribe & connect area on single posts. You can also add this as a %1$s in your sidebar.', 'woothemes' ), '<a href="' . esc_url( home_url() ) . '/wp-admin/widgets.php">widget</a>' ),
    				'id' => $shortname . '_connect',
    				'std' => 'false',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Subscribe Title', 'woothemes' ),
    				'desc' => __( 'Enter the title to show in your subscribe & connect area.', 'woothemes' ),
    				'id' => $shortname . '_connect_title',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Text', 'woothemes' ),
    				'desc' => __( 'Change the default text in this area.', 'woothemes' ),
    				'id' => $shortname . '_connect_content',
    				'std' => '',
    				'type' => 'textarea' );

$options[] = array( 'name' => __( 'Subscribe By E-mail ID (Feedburner)', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s for the e-mail subscription form.', 'woothemes' ), '<a href="http://www.woothemes.com/tutorials/how-to-find-your-feedburner-id-for-email-subscription/">'.__( 'Feedburner ID', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_newsletter_id',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Subscribe By E-mail to MailChimp', 'woothemes', 'woothemes' ),
    				'desc' => sprintf( __( 'If you have a MailChimp account you can enter the %1$s to allow your users to subscribe to a MailChimp List.', 'woothemes' ), '<a href="http://woochimp.heroku.com" target="_blank">'.__( 'MailChimp List Subscribe URL', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_mailchimp_list_url',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Enable RSS', 'woothemes' ),
    				'desc' => __( 'Enable the subscribe and RSS icon.', 'woothemes' ),
    				'id' => $shortname . '_connect_rss',
    				'std' => 'true',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Twitter URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. http://www.twitter.com/woothemes', 'woothemes' ), '<a href="http://www.twitter.com/">'.__( 'Twitter', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_twitter',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Facebook URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. http://www.facebook.com/woothemes', 'woothemes' ), '<a href="http://www.facebook.com/">'.__( 'Facebook', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_facebook',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'YouTube URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. http://www.youtube.com/woothemes', 'woothemes' ), '<a href="http://www.youtube.com/">'.__( 'YouTube', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_youtube',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Flickr URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. http://www.flickr.com/woothemes', 'woothemes' ), '<a href="http://www.flickr.com/">'.__( 'Flickr', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_flickr',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'LinkedIn URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. http://www.linkedin.com/in/woothemes', 'woothemes' ), '<a href="http://www.www.linkedin.com.com/">'.__( 'LinkedIn', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_linkedin',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Delicious URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. http://www.delicious.com/woothemes', 'woothemes' ), '<a href="http://www.delicious.com/">'.__( 'Delicious', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_delicious',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Google+ URL', 'woothemes' ),
    				'desc' => sprintf( __( 'Enter your %1$s URL e.g. https://plus.google.com/104560124403688998123/', 'woothemes' ), '<a href="http://plus.google.com/">'.__( 'Google+', 'woothemes' ).'</a>' ),
    				'id' => $shortname . '_connect_googleplus',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Enable Related Posts', 'woothemes' ),
    				'desc' => __( 'Enable related posts in the subscribe area. Uses posts with the same <strong>tags</strong> to find related posts. Note: Will not show in the Subscribe widget.', 'woothemes' ),
    				'id' => $shortname . '_connect_related',
    				'std' => 'true',
    				'type' => 'checkbox' );
					                                  										   
										                    
/* Dynamic Images */
$options[] = array( 'name' => __( 'Dynamic Images', 'woothemes' ),
    				'type' => 'heading',
    				'icon' => 'image' );
					
$options[] = array( 'name' => __( 'Resizer Settings', 'woothemes' ),
    				'type' => 'subheading' );

$options[] = array( 'name' => __( 'Dynamic Image Resizing', 'woothemes' ),
    				'desc' => '',
    				'id' => $shortname . '_wpthumb_notice',
    				'std' => __( 'There are two alternative methods of dynamically resizing the thumbnails in the theme, <strong>WP Post Thumbnail</strong> or <strong>TimThumb - Custom Settings panel</strong>. We recommend using WP Post Thumbnail option.', 'woothemes' ),
    				'type' => 'info' );

$options[] = array( 'name' => __( 'WP Post Thumbnail', 'woothemes' ),
    				'desc' => __( 'Use WordPress post thumbnail to assign a post thumbnail. Will enable the <strong>Featured Image panel</strong> in your post sidebar where you can assign a post thumbnail.', 'woothemes' ),
    				'id' => $shortname . '_post_image_support',
    				'std' => 'true',
    				'class' => 'collapsed',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'WP Post Thumbnail - Dynamic Image Resizing', 'woothemes' ),
    				'desc' => __( 'The post thumbnail will be dynamically resized using native WP resize functionality. <em>(Requires PHP 5.2+)</em>', 'woothemes' ),
    				'id' => $shortname . '_pis_resize',
    				'std' => 'true',
    				'class' => 'hidden',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'WP Post Thumbnail - Hard Crop', 'woothemes' ),
    				'desc' => __( 'The post thumbnail will be cropped to match the target aspect ratio (only used if "Dynamic Image Resizing" is enabled).', 'woothemes' ),
    				'id' => $shortname . '_pis_hard_crop',
    				'std' => 'true',
    				'class' => 'hidden last',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'TimThumb - Custom Settings Panel', 'woothemes' ),
    				'desc' => sprintf( __( 'This will enable the %1$s (thumb.php) script which dynamically resizes images added through the <strong>custom settings panel below the post</strong>. Make sure your themes <em>cache</em> folder is writable. %2$s', 'woothemes' ), '<a href="http://code.google.com/p/timthumb/">TimThumb</a>', '<a href="http://www.woothemes.com/2008/10/troubleshooting-image-resizer-thumbphp/">Need help?</a>' ),
    				'id' => $shortname . '_resize',
    				'std' => 'true',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Automatic Image Thumbnail', 'woothemes' ),
    				'desc' => __( 'If no thumbnail is specifified then the first uploaded image in the post is used.', 'woothemes' ),
    				'id' => $shortname . '_auto_img',
    				'std' => 'false',
    				'type' => 'checkbox' );

$options[] = array( "name" => __( 'Display Post Thumbnails on Posts', 'woothemes' ),
					"desc" => __( 'Display the post thumbnail on the homepage & archive pages post listings.', 'woothemes' ),
					"id" => $shortname."_thumbnails_show",
					"std" => "false",
					"type" => "checkbox" );

$options[] = array( 'name' => __( 'Thumbnail Settings', 'woothemes' ),
    				'type' => 'subheading' );
    				
$options[] = array( 'name' => __( 'Thumbnail Image Dimensions', 'woothemes' ),
    				'desc' => __( 'Enter an integer value i.e. 250 for the desired size which will be used when dynamically creating the images.', 'woothemes' ),
    				'id' => $shortname . '_image_dimensions',
    				'std' => '',
    				'type' => array(
    					array(  'id' => $shortname . '_thumb_w',
    						'type' => 'text',
    						'std' => 100,
    						'meta' => __( 'Width', 'woothemes' ) ),
    					array(  'id' => $shortname . '_thumb_h',
    						'type' => 'text',
    						'std' => 100,
    						'meta' => __( 'Height', 'woothemes' ) )
    				) );


$options[] = array( 'name' => __( 'Thumbnail Alignment', 'woothemes' ),
    				'desc' => __( 'Select how to align your thumbnails with posts.', 'woothemes' ),
    				'id' => $shortname . '_thumb_align',
    				'std' => 'alignleft',
    				'type' => 'select2',
    				'options' => array( 'alignleft' => __( 'Left', 'woothemes' ), 'alignright' => __( 'Right', 'woothemes' ), 'aligncenter' => __( 'Center', 'woothemes' ) ) );

$options[] = array( 'name' => __( 'Single Post - Show Thumbnail', 'woothemes' ),
    				'desc' => __( 'Show the thumbnail in the single post page.', 'woothemes' ),
    				'id' => $shortname . '_thumb_single',
    				'class' => 'collapsed',
    				'std' => 'true',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Add thumbnail to RSS feed', 'woothemes' ),
    				'desc' => __( 'Add the the image uploaded via your Custom Settings panel to your RSS feed', 'woothemes' ),
    				'id' => $shortname . '_rss_thumb',
    				'std' => 'false',
    				'type' => 'checkbox' );

/* Footer */
$options[] = array( 'name' => __( 'Footer Customization', 'woothemes' ),
    				'type' => 'heading',
    				'icon' => 'footer' );
					
$options[] = array( "name" => __( 'Enable Custom Footer Logo', 'woothemes' ),
					"desc" => __( 'Show the custom footer logo', 'woothemes' ),
					"id" => $shortname."_logo_footer_enable",
					"std" => "true",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Custom Footer Logo', 'woothemes' ),
					"desc" => __( 'Upload a custom footer logo for your theme, or specify an image URL directly.', 'woothemes' ),
					"id" => $shortname."_logo_footer",
					"std" => get_template_directory_uri()."/images/logo-footer.png",
					"type" => "upload" );

$url =  get_template_directory_uri() . '/functions/images/';
$options[] = array( 'name' => __( 'Footer Widget Areas', 'woothemes' ),
    				'desc' => __( 'Select how many footer widget areas you want to display.', 'woothemes' ),
    				'id' => $shortname . '_footer_sidebars',
    				'std' => '4',
    				'type' => 'images',
    				'options' => array(
    					'0' => $url . 'layout-off.png',
    					'1' => $url . 'footer-widgets-1.png',
    					'2' => $url . 'footer-widgets-2.png',
    					'3' => $url . 'footer-widgets-3.png',
    					'4' => $url . 'footer-widgets-4.png' )
    				);

$options[] = array( 'name' => __( 'Custom Affiliate Link', 'woothemes' ),
    				'desc' => __( 'Add an affiliate link to the WooThemes logo in the footer of the theme.', 'woothemes' ),
    				'id' => $shortname . '_footer_aff_link',
    				'std' => '',
    				'type' => 'text' );

$options[] = array( 'name' => __( 'Enable Custom Footer', 'woothemes' ),
    				'desc' => __( 'Activate to add the custom text below to the theme footer.', 'woothemes' ),
    				'id' => $shortname . '_footer',
    				'std' => 'false',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Custom Text', 'woothemes' ),
    				'desc' => __( 'Custom HTML and Text that will appear in the footer of your theme.', 'woothemes' ),
    				'id' => $shortname . '_footer_text',
    				'std' => '',
    				'type' => 'textarea' );


/* Advertising */
$options[] = array( 'name' => __( 'Advertising', 'woothemes' ),
    				'type' => 'heading',
    				'icon' => 'ads' );

$options[] = array( 'name' => __( 'Top Ad (468x60px)', 'woothemes' ),
    				'type' => 'subheading' );

$options[] = array( 'name' => __( 'Enable Ad', 'woothemes' ),
    				'desc' => __( 'Enable the ad space', 'woothemes' ),
    				'id' => $shortname . '_ad_top',
    				'std' => 'false',
    				'type' => 'checkbox' );

$options[] = array( 'name' => __( 'Adsense code', 'woothemes' ),
    				'desc' => __( 'Enter your adsense code (or other ad network code) here.', 'woothemes' ),
    				'id' => $shortname . '_ad_top_adsense',
    				'std' => '',
    				'type' => 'textarea' );

$options[] = array( 'name' => __( 'Image Location', 'woothemes' ),
    				'desc' => __( 'Enter the URL to the banner ad image location.', 'woothemes' ),
    				'id' => $shortname . '_ad_top_image',
    				'std' => 'http://www.woothemes.com/ads/468x60b.jpg',
    				'type' => 'upload' );

$options[] = array( 'name' => __( 'Destination URL', 'woothemes' ),
    				'desc' => __( 'Enter the URL where this banner ad points to.', 'woothemes' ),
    				'id' => $shortname . '_ad_top_url',
    				'std' => 'http://www.woothemes.com',
    				'type' => 'text' );
					
$options[] = array( "name" => __( 'Content Ad (728x90px)', 'woothemes' ),
					"type" => "subheading");

$options[] = array( "name" => __( 'Enable Ad', 'woothemes' ),
					"desc" => sprintf( __( 'Enable the ad space. %1$Note: If you enable the Custom Content Ad spaces then it will override these settings.%2$', 'woothemes' ), '<strong>', '</strong>' ),
					"id" => $shortname."_ad_content",
					"std" => "false",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Adsense code', 'woothemes' ),
					"desc" => __( 'Enter your adsense code (or other ad network code) here.', 'woothemes' ),
					"id" => $shortname."_ad_content_adsense",
					"std" => "",
					"type" => "textarea" );

$options[] = array( "name" => __( 'Image Location', 'woothemes' ),
					"desc" => __( 'Enter the URL to the banner ad image location.', 'woothemes' ),
					"id" => $shortname."_ad_content_image",
					"std" => "http://www.woothemes.com/ads/728x90a.jpg",
					"type" => "upload" );

$options[] = array( "name" => __( 'Destination URL', 'woothemes' ),
					"desc" => __( 'Enter the URL where this banner ad points to.', 'woothemes' ),
					"id" => $shortname."_ad_content_url",
					"std" => "http://www.woothemes.com",
					"type" => "text" );

$options[] = array( "name" => __( 'Custom Content Ad', 'woothemes' ),
					"type" => "subheading");

$options[] = array( "name" => __( 'Content Banner - Home Page', 'woothemes' ),
					"desc" => __( 'Enable the banner ad space on the home page', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_home",
					"std" => "true",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Content Banner - Archive Pages', 'woothemes' ),
					"desc" => __( 'Enable the banner ad space on archive, search, and page template pages', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_archive",
					"std" => "true",
					"type" => "checkbox" );

$options[] = array( "name" => __( 'Content Banner - Single Pages', 'woothemes' ),
					"desc" => __( 'Enable the banner ad space on single pages', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_single",
					"std" => "true",
					"type" => "checkbox" );
										
$options[] = array( "name" => __( 'Banner Text Before', 'woothemes' ),
					"desc" => __( 'Enter the text that appears before the logo.', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_text_before",
					"std" => "Get the full",
					"type" => "text" );

$options[] = array( "name" => __( 'Banner Custom Logo', 'woothemes' ),
					"desc" => __( 'Upload a custom logo image to use in the banner (optional)', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_top_image",
					"std" => get_template_directory_uri()."/images/logo-small.png",
					"type" => "upload" );
					
$options[] = array( "name" => __( 'Banner Text After', 'woothemes' ),
					"desc" => __( 'Enter the text that appears after the logo.', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_text_after",
					"std" => "experience",
					"type" => "text" );

$options[] = array( "name" => __( 'Button Text', 'woothemes' ),
					"desc" => __( 'Enter the button text', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_button_text",
					"std" => "Subscribe Today",
					"type" => "text" );

$options[] = array( "name" => __( 'Button Destination URL', 'woothemes' ),
					"desc" => __( 'Enter the URL that the button will redirect to after being clicked.', 'woothemes' ),
					"id" => $shortname."_content_banner_ad_button_url",
					"std" => site_url(),
					"type" => "text" );

                                        					
// Add extra options through function
if ( function_exists( "woo_options_add") )
	$options = woo_options_add($options);

if ( get_option( 'woo_template') != $options) update_option( 'woo_template',$options);
if ( get_option( 'woo_themename') != $themename) update_option( 'woo_themename',$themename);
if ( get_option( 'woo_shortname') != $shortname) update_option( 'woo_shortname',$shortname);
if ( get_option( 'woo_manual') != $manualurl) update_option( 'woo_manual',$manualurl);

// Woo Metabox Options
// Start name with underscore to hide custom key from the user
$woo_metaboxes = array();

global $post;

if ( ( get_post_type() == 'post') || ( !get_post_type() ) ) {

	$woo_metaboxes[] = array (	"name" => "image",
								"label" => __( 'Image', 'woothemes' ),
								"type" => "upload",
								"desc" => __( 'Upload an image or enter an URL.', 'woothemes' ) );

	if ( get_option( 'woo_resize') == "true" ) {
		$woo_metaboxes[] = array (	"name" => "_image_alignment",
									"std" => "Center",
									"label" => __( 'Image Crop Alignment', 'woothemes' ),
									"type" => "select2",
									"desc" => __( 'Select crop alignment for resized image', 'woothemes' ),
									"options" => array(	"c" => __( 'Center', 'woothemes' ),
														"t" => __( 'Top', 'woothemes' ),
														"b" => __( 'Bottom', 'woothemes' ),
														"l" => __( 'Left', 'woothemes' ),
														"r" => __( 'Right', 'woothemes' )));
	}

	if ( get_option( 'woo_thumb_single') == "true" ) {
	$woo_metaboxes[] = array (  "name"  => "_thumb-single",
					            "std"  => "",
					            "label" => __( 'Disable Single Post Featured Image', 'woothemes' ),
					            "type" => "checkbox",
					            "desc" => __( 'Disable the featured image on the single post page of this post.', 'woothemes' ) );
	}				         

	$woo_metaboxes[] = array (  "name"  => "embed",
					            "std"  => "",
					            "label" => __( 'Embed Code', 'woothemes' ),
					            "type" => "textarea",
					            "desc" => __( 'Enter the video embed code for your video (YouTube, Vimeo or similar)', 'woothemes' ) );
	
	unset($woo_categories[0]);
	unset($other_entries[0]);
	
	$woo_metaboxes[] = array (	"name" => "featured_category_cat",
								"std" => "",
								"label" => __( 'Featured Category', 'woothemes' ),
								"type" => "select",
								"desc" => __( 'Choose a category to display in the Featured Category Panel for this post.', 'woothemes' ),
								"options" => $woo_categories);
								
	$woo_metaboxes[] = array (	"name" => "featured_category_entries",
								"std" => "3",
								"label" => __( 'Featured Category Number of Entries', 'woothemes' ),
								"type" => "select",
								"desc" => __( 'Select the number of entries that should be displayed for this category in the Featured Category Panel for this post.', 'woothemes' ),
								"options" => $other_entries);
								
} // End post

$woo_metaboxes[] = array (	"name" => "_layout",
							"std" => "normal",
							"label" => __( 'Layout', 'woothemes' ),
							"type" => "images",
							"desc" => __( 'Select the layout you want on this specific post/page.', 'woothemes' ),
							"options" => array(
										'layout-default' => $url . 'layout-off.png',
										'layout-full' => get_template_directory_uri() . '/functions/images/' . '1c.png',
										'layout-left-content' => get_template_directory_uri() . '/functions/images/' . '2cl.png',
										'layout-right-content' => get_template_directory_uri() . '/functions/images/' . '2cr.png'));


// Add extra metaboxes through function
if ( function_exists( "woo_metaboxes_add") )
	$woo_metaboxes = woo_metaboxes_add($woo_metaboxes);

if ( get_option( 'woo_custom_template' ) != $woo_metaboxes) update_option( 'woo_custom_template', $woo_metaboxes );

} // END woo_options()
} // END function_exists()

// Add options to admin_head
add_action( 'admin_head','woo_options' );

//Enable WooSEO on these Post types
$seo_post_types = array( 'post','page' );
define( "SEOPOSTTYPES", serialize($seo_post_types));

//Global options setup
add_action( 'init','woo_global_options' );
function woo_global_options(){
	// Populate WooThemes option in array for use in theme
	global $woo_options;
	$woo_options = get_option( 'woo_options' );
}

?>