<?php
if ( ! defined( 'ABSPATH' ) ) exit;
/*---------------------------------------------------------------------------------*/
/* Authors List */
/*---------------------------------------------------------------------------------*/
class Woo_AuthorsList extends WP_Widget {

   function __construct() {
	   $widget_ops = array( 'description' => 'This is a WooThemes Authors List widget.' );
	   parent::__construct( false, __( 'Woo - Authors List', 'woothemes' ), $widget_ops );
   }

   function widget($args, $instance) {

	extract( $args );
	if ($instance['title']) $title = $instance['title'];
	if ($instance['author_entries']) $author_entries = $instance['author_entries'];
	if ($instance['team_page_template']) $team_page_template = $instance['team_page_template'];
	?>
		<?php echo $before_widget; ?>
		<?php if ($title) { echo $before_title . $title . $after_title; } ?>

			<?php
		    $user_list = woo_get_users( $author_entries );
			$count = 0;
			?><ul><?php
			foreach($user_list as $author) {

			    if (get_the_author_meta('exclude',$author->ID) != 1) {

			    	$author_id = $author->ID;
			    	$author_name = $author->display_name;
			    	$author_page_url = get_author_posts_url($author_id);
			    	$post_args = array(	'author' => $author_id,
			    						'orderby'	=> 'post_date',
			    						'order'	=>	'DESC',
			    						'numberposts'	=> 1
			    						);
			    	$posts_array = get_posts( $post_args );
			    	foreach ( $posts_array as $post_item ) { ?>
			    	<li class="fix">
			    		<?php echo get_avatar( $author_id, '50' ); ?>
			    		<h4><a href="<?php echo $author_page_url; ?>"><?php echo $author_name; ?></a></h4>
			    		<a class="post-link" href="<?php echo get_permalink($post_item->ID); ?>" title="<?php echo $post_item->post_title; ?>"><?php echo $post_item->post_title; ?></a>
					</li>
			    	<?php
			    	} // End For Loop
			    } // End If Statement

			} // End For Loop
			?>
			<?php if ( isset($team_page_template) && $team_page_template != '' ) { ?><li class="mail"><a href="<?php echo get_permalink($team_page_template); ?>" class="mail"><?php _e('View all Authors', 'woothemes'); ?></a></li><?php } ?>
			</ul>

			<div class="fix"></div>

		<?php echo $after_widget; ?>
    <?php

   }

   function update($new_instance, $old_instance) {
	   $settings = array();
	   $settings = $new_instance;
	   return $settings;
   }

   function form($instance) {

		$title = esc_attr($instance['title']);
		$author_entries = esc_attr($instance['author_entries']);
		$team_page_template = esc_attr($instance['team_page_template']);

		//Access the WordPress Pages via an Array
		$woo_pages = array();
		$woo_pages_obj = get_pages( 'sort_column=post_parent,menu_order' );
		foreach ($woo_pages_obj as $woo_page) {
		    $woo_pages[$woo_page->ID] = $woo_page->post_name; }

		$woo_pages_raw = $woo_pages;
		$woo_pages_raw[0] = "Select a page:";
		$woo_pages_tmp = array_unshift($woo_pages, "Select a page:" );

		?>
		<p>
		   <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Title:', 'woothemes' ); ?></label>
		   <input type="text" name="<?php echo $this->get_field_name( 'title' ); ?>"  value="<?php echo $title; ?>" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('author_entries'); ?>"><?php _e('Number of Authors:','woothemes'); ?></label>
			<select name="<?php echo $this->get_field_name('author_entries'); ?>" class="widefat" id="<?php echo $this->get_field_id('author_entries'); ?>">
			<?php for ( $i = 1; $i <= 10; $i += 1) { ?>
				<option value="<?php echo $i; ?>" <?php selected( $author_entries, $i ); ?>><?php echo $i; ?></option>
			<?php } ?>
			</select>
		</p>
		<p>
            <label for="<?php echo $this->get_field_id( 'team_page_template' ); ?>"><?php _e( 'Meet the Team Page:', 'woothemes' ); ?></label>
            <select name="<?php echo $this->get_field_name( 'team_page_template' ); ?>" class="widefat" id="<?php echo $this->get_field_id( 'team_page_template' ); ?>">
            	<?php foreach($woo_pages_raw as $k => $v) { ?>
               	<option value="<?php echo $k ?>" <?php if($team_page_template == $k){ echo "selected='selected'";} ?>><?php _e( $v, 'woothemes' ); ?></option>
                <?php } ?>
            </select>
        </p>

		<?php
	}
}

register_widget( 'Woo_AuthorsList' );
?>