<?php
/**
 * Single Post Template
 *
 * This template is the default page template. It is used to display content when someone is viewing a
 * singular view of a post ('post' post_type).
 * @link http://codex.wordpress.org/Post_Types#Post
 *
 * @package WooFramework
 * @subpackage Currents
 */
	get_header();
	global $single_post_id;
	
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	
	$settings = array(
					'thumb_single' => 'true', 
					'content_banner_ad_single' => 'true',
					'ad_content' => 'true',
					'recent_news' => 'true',
					'post_author' => 'true',
					'related_posts' => 'true',
					'breadcrumbs_show' => 'false',
					'comments' => 'post',
					'layout_width' => '800'
					);
					
	$settings = woo_get_dynamic_values( $settings );
?>
       
    <div id="content" class="col-full">
    	
    	<?php if ( $settings['breadcrumbs_show'] == 'true' ) { ?>
			<section id="breadcrumbs">
				<?php woo_breadcrumbs(); ?>
			</section><!--/#breadcrumbs -->
		<?php } ?>
    	
		<section id="single-post">
		           
        <?php
        	if ( have_posts() ) { $count = 0;
        		while ( have_posts() ) { the_post(); $count++;
        			$author_id = get_the_author_meta( 'ID' );
        			$single_post_id = get_the_ID();
        ?>
			<article <?php post_class('fix'); ?>>
				
				<header class="fix <?php if ( has_excerpt() ) { echo "with-excerpt"; } ?>">
                
	                <h1><?php the_title(); ?></h1>
	                
	                <?php if ( has_excerpt() ) : ?>
	                
	                <section class="excerpt col-left">
	                	
	                	<?php the_excerpt(); ?>
	                	
	                </section><!-- /.excerpt -->
	                
	                <?php endif; ?>
	                
                	<?php woo_post_meta(); ?>
                	
                </header>
                
                <?php 
                	$has_embed = woo_embed( 'width='.$settings['layout_width'].'&height=365&key=embed&class=slide-video&id='.$post->ID ); 
                	if ( $has_embed ) {
                ?>
                <div id="single-media">				
    	            <?php echo $has_embed; // Minus 6px off the width to cater for the 3px border. ?>
    	        </div><!-- /#single-media -->
    	        <?php 
    	        	} elseif ( $settings['thumb_single'] == 'true' && get_post_meta($post->ID, '_thumb-single', true) != "true" ) { 
						$image = '';
						if ( $settings['thumb_single'] == 'true') {
							$image = woo_image( '&width='.$settings['layout_width'].'&height=365&link=img&return=true&noheight=true' ); 
							if ( $image != '' ) {
				?>
                <div id="single-media">				
    	            <?php echo $image; ?>
    	        </div><!-- /#single-media -->
    	        <?php 
    	        			} // Endif
    	        		} // Endif
    	        	} // Endif
    	        ?>
                
                <section class="entry col-left">
                	<?php the_content(); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'woothemes' ), 'after' => '</div>' ) ); ?>
					<?php the_tags( '<p class="tags">', ', ', '</p>' ); ?>
					
					<?php if ( $settings['post_author'] == 'true' ) { ?>
					<aside class="post-author-box fix">
					    <h3 class="title"><?php printf( esc_attr__( 'About %s', 'woothemes' ), get_the_author() ); ?></h3>
						<?php echo get_avatar( $author_id, '70' ); ?>
						<div class="profile-description">
					        <?php the_author_meta( 'description' ); ?>
					        <a href="<?php echo get_author_posts_url( $author_id ); ?>">
					        	<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'woothemes' ), get_the_author() ); ?>
					        </a>
					    
					        <?php 
					        // Profile Custom Fields
					        $author_twitter = get_the_author_meta( 'twitter', $author_id );
					        $author_facebook = get_the_author_meta( 'facebook', $author_id );
					        ?>
					        <?php if ( ($author_twitter != '') || ($author_facebook != '') ) { ?>
					        <div class="profile-social">
						    	<ul>
						    		<?php if ($author_twitter != '') { ?><li class="twitter"><a href="http://www.twitter.com/<?php echo $author_twitter; ?>"><?php _e( 'Follow ', 'woothemes' ) . the_author() . _e( ' on Twitter', 'woothemes' ); ?></a></li><?php } ?>
						    		<?php if ($author_facebook != '') { ?><li class="facebook"><a href="<?php echo $author_facebook; ?>"><?php _e( 'Facebook', 'woothemes' ); ?></a></li><?php } ?>
						    	</ul>
						    </div><!-- .profile-social -->
						    <?php } ?>
						</div><!-- #profile-description	-->
					</aside><!-- #post-author -->
					<?php } ?>

					<?php woo_subscribe_connect(); ?>
					
					<nav id="post-entries" class="fix">
	        		    <div class="nav-prev fl"><?php previous_post_link( '%link', '<span class="meta-nav">&larr;</span> %title' ); ?></div>
	        		    <div class="nav-next fr"><?php next_post_link( '%link', '%title <span class="meta-nav">&rarr;</span>' ); ?></div>
	        		</nav><!-- #post-entries -->
					
				</section>
				
				<?php get_sidebar(); ?>
                                
            </article><!-- .post -->

            <?php }  } else { ?>
			<article <?php post_class(); ?>>
            	<p><?php _e( 'Sorry, no posts matched your criteria.', 'woothemes' ); ?></p>
			</article><!-- .post -->             
       	<?php } ?>
        
        <div class="fix"></div>
        
        <?php if ( ( $settings['content_banner_ad_single'] == 'true' ) || ( $settings['ad_content'] == 'true' ) ) { get_template_part ( 'includes/content-banner' ); } ?>
        
        <?php
        	// Determine wether or not to display comments here, based on "Theme Options".
            	if ( in_array( $settings['comments'], array( 'post', 'both' ) ) ) {
            		comments_template();
            	}
        ?>
        
        <?php if ( $settings['related_posts'] == 'true' ) { get_template_part ( 'includes/related-news' ); wp_reset_query(); } ?>
		
    </div><!-- #content -->
    
    <?php get_template_part ( 'includes/featured-category' ); ?>
		
<?php get_footer(); ?>