<?php
/**
 * Template Name: Blog
 *
 * The blog page template displays the "blog-style" template on a sub-page. 
 *
 * @package WooFramework
 * @subpackage Currents
 */

	get_header();
?>
<?php 	
/**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	$settings = array(
					'thumb_w' => 100, 
					'thumb_h' => 100, 
					'thumb_align' => 'alignleft',
					'content_banner_ad_archive' => 'true',
					'ad_content' => 'true',
					'featured_category_archive' => 'true',
					'post_content' => 'excerpt',
					'excerpt_show' => 'false',
					'thumbnails_show' => 'false',
					'breadcrumbs_show' => 'false'
					);
					
	$settings = woo_get_dynamic_values( $settings );
?>

    <div id="content" class="col-full">
    	
    	<?php if ( $settings['breadcrumbs_show'] == 'true' ) { ?>
			<section id="breadcrumbs">
				<?php woo_breadcrumbs(); ?>
			</section><!--/#breadcrumbs -->
		<?php } ?>
		
		<?php
        	if ( get_query_var( 'paged') ) { $paged = get_query_var( 'paged' ); } elseif ( get_query_var( 'page') ) { $paged = get_query_var( 'page' ); } else { $paged = 1; }
        	
        	$query_args = array(
        						'post_type' => 'post', 
        						'paged' => $paged
        					);
        	
        	$query_args = apply_filters( 'woo_blog_template_query_args', $query_args ); // Do not remove. Used to exclude categories from displaying here.
        	
        	query_posts( $query_args );
        	
        	$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
?>

		<?php if (have_posts()) : $count = 0; ?>
		
			<div class="fix"></div>
			<section id="main" class="col-left">
            
        <?php while (have_posts()) : the_post(); $count++; ?>
            
             <!-- Post Starts -->
             
            <article <?php post_class(); ?>>
            
            	<?php if ( ( $settings['post_content'] != 'content' ) && ( $settings['thumbnails_show'] == 'true' ) ) { woo_image( 'width=' . $settings['thumb_w'] . '&height=' . $settings['thumb_h'] . '&class=thumbnail ' . $settings['thumb_align'] ); } ?>

                <header>
                
                	<h1><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                	
                	<?php woo_post_meta(); ?>
                	
                </header>
                
				<?php if( $settings['excerpt_show'] == 'true' ) : ?>
                <section class="excerpt entry">
                	 
                	 <?php 
                	 if ( $settings['post_content'] == 'content' ) { 
                	 	the_content( __( 'Continue Reading &rarr;', 'woothemes' ) ); 
                	 } else { 
                	 	the_excerpt(); 
                	 } ?>
                
                </section>
                
                <footer class="post-more">      
                	<?php if ( $settings['post_content'] == 'excerpt' ) { ?>
                    <span class="more-link"><a href="<?php the_permalink(); ?>" title="<?php esc_attr_e( 'Continue Reading &rarr;', 'woothemes' ); ?>"><?php _e( 'Continue Reading &rarr;', 'woothemes' ); ?></a></span>
                    <?php } ?>
                </footer>   
                <?php endif; ?>
                                     
            </article><!-- /.post -->
                        
        <?php endwhile; else: ?>
        
            <article <?php post_class(); ?>>
                <p><?php _e( 'Sorry, no posts matched your criteria.', 'woothemes' ); ?></p>
            </article><!-- /.post -->
        
        <?php endif; ?>  
    
			<?php woo_pagenav(); ?>
                
		</section><!-- /#main -->

        <?php get_sidebar(); ?>

    </div><!-- /#content -->
    
    <?php if ( ( $settings['content_banner_ad_archive'] == 'true' ) || ( $settings['ad_content'] == 'true' ) ) { get_template_part ( 'includes/content-banner' ); } ?>
    
   	<?php if ( $settings['featured_category_archive'] == 'true' ) { get_template_part ( 'includes/featured-category' ); } ?> 
		
<?php get_footer(); ?>