<?php
/**
 * Template Name: Meet the Team
 *
 * This page template will display a list of all users
 *
 * @package WooFramework
 * @subpackage Currents
 */
 
 get_header();
 /**
 * The Variables
 *
 * Setup default variables, overriding them if the "Theme Options" have been saved.
 */
	
	$settings = array(
					'breadcrumbs_show' => 'false'
					);
					
	$settings = woo_get_dynamic_values( $settings );
?> 
    <div id="content" class="page col-full">
		<section id="main" class="col-left">
    	            
		<?php if ( $settings['breadcrumbs_show'] == 'true' ) { ?>
			<section id="breadcrumbs">
				<?php woo_breadcrumbs(); ?>
			</section><!--/#breadcrumbs -->
		<?php } ?>  
			
			<article <?php post_class(); ?>>
			    
			    <header>
			    	<h1><?php the_title(); ?></h1>
			    </header>
			    
			    <section class="entry fix">
		            
		            <?php if ( get_query_var('paged') ) $paged = get_query_var('paged'); elseif ( get_query_var('page') ) $paged = get_query_var('page'); else $paged = 1; ?>
		            <?php 
		            $user_list = woo_get_users( 50, $paged );
					$count = 0;				
				
					foreach($user_list as $author) {
					
						if (get_the_author_meta('exclude',$author->ID) != 1) {
					 
							$author_id = $author->ID;
							$author_name = $author->display_name;
							/* custom profile fields */
							if ( isset($author->twitter) ) { $author_twitter = $author->twitter; } else { $author_twitter = ''; }
							if ( isset($author->facebook) ) { $author_facebook = $author->facebook; } else { $author_facebook = ''; }
							$author_page_url = get_author_posts_url($author_id);
						
							$count++;
	
						?>
						<aside class="post-author-box fix">
						    <h3 class="title"><?php printf( $author_name ); ?></h3>
						    <?php echo get_avatar( $author_id, '70' ); ?>
						    <div class="profile-description">
						        <?php the_author_meta( 'description', $author_id ); ?>
						        <a href="<?php echo $author_page_url; ?>">
		    				    	<?php printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'woothemes' ), $author_name ); ?>
		    				    </a>
						    
						        <div class="profile-social">
							    	<ul>
							    		<?php if ($author_twitter != '') { ?><li class="twitter"><a href="http://www.twitter.com/<?php echo $author_twitter; ?>"><?php _e( 'Twitter', 'woothemes' ); ?></a></li><?php } ?>
							    		<?php if ($author_facebook != '') { ?><li class="facebook"><a href="<?php echo $author_facebook; ?>"><?php _e( 'Facebook', 'woothemes' ); ?></a></li><?php } ?>
							    	</ul>
							    </div><!-- .profile-social -->
							</div><!-- .profile-description	-->
						</aside><!-- .post-author-box -->
						<?php
						} // End If Statement
					} // End For Loop
		            ?> 												  

				</section><!-- /.entry -->
			    			
			</article><!-- /.post -->                 
                
        </section><!-- /#main -->

        <?php get_sidebar(); ?>

    </div><!-- /#content -->
		
<?php get_footer(); ?>